<div class="row mb-3 align-items-center justify-content-between">
  <div class="col-md-auto col-sm-auto">
    <div class="section-title">
      <h2>{{'ADD_DOCUMENT' | translate}}</h2>
    </div>
  </div>
</div>

<form [formGroup]="documentForm">
  <div class="row">
    <div class="col-sm-12">
      <div class="form-group col-12 col-md-6 px-0">
        <label>{{'NAME' | translate}}</label>
        <input formControlName="name" class="form-control" type="text">
        <div *ngIf="documentForm.get('name').touched && documentForm.get('name').errors">
          <div class="text-danger small" *ngIf="documentForm.get('name').errors?.required">
            {{'NAME_IS_REQUIRED' | translate}}
          </div>
        </div>
      </div>
    </div>
    <div class="col-sm-12 mb-3" *ngIf="currentCatUrlActive != 'macroeconomic-assumptions'">
      <label>{{'CATEGORY' | translate}}</label>
      <input formControlName="categoryId" class="form-control" type="text" hidden="true">
      <div class="row mx-0">
        <div class="col-md-2 p-0 pr-2" *ngIf="currentCatUrlActive == 'company-report' || currentCatUrlActive == 'sector-report' || currentCatUrlActive == 'strategy-report' || currentCatUrlActive == 'macroeconomic-report' || currentCatUrlActive == 'fixed-income-research'">
          <mat-form-field appearance="outline" class="cust-form-filter w-100">
            <mat-select [(value)]="sectorVal" placeholder="{{ currentCatUrlActive == 'company-report'||currentCatUrlActive == 'sector-report' ? ('SELECT_SECTOR'|translate) : ('SELECT_REPORT_TYPE'|translate)}}" (selectionChange)="onSectorChange($event)">
              <mat-option [value]="">-- {{'NONE' | translate}} --</mat-option>
              <mat-option *ngIf="currentCatId != ''" [value]="currentCatId"><b>{{currentCatName}}</b></mat-option>
              <mat-option *ngFor="let sector of listSectors" [value]="sector.id">
                <div class="country-item pl-4">
                  {{sector.name}}
                </div>
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div class="col-md-2 p-0 pr-2" *ngIf="currentCatUrlActive == 'company-report' || currentCatUrlActive == 'sector-report'">
          <mat-form-field appearance="outline" class="cust-form-filter w-100">
            <mat-select [(value)]="subSectorVal" placeholder="{{'SELECT_SUB_SECTOR' | translate}}" (selectionChange)="onSubSectorChange($event)">
              <mat-option [value]="">-- {{'NONE' | translate}} --</mat-option>
              <mat-option *ngFor="let subSector of listSubSectors" [value]="subSector.id">
                <div class="country-item">
                  {{subSector.name}}
                </div>
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
        <div class="col-md-2 p-0" *ngIf="currentCatUrlActive == 'company-report'">
          <mat-form-field appearance="outline" class="cust-form-filter w-100">
            <mat-select [(value)]="companyVal" placeholder="{{'SELECT_COMPANY' | translate}}" (selectionChange)="onCompanyChange($event)">
              <mat-option [value]="">-- {{'NONE' | translate}} --</mat-option>
              <mat-option *ngFor="let company of listCompanies" [value]="company.id">
                <div class="country-item">
                  {{company.name}}
                </div>
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
      </div>
      <div *ngIf="documentForm.get('categoryId').touched && documentForm.get('categoryId').errors">
        <div class="text-danger small" *ngIf="documentForm.get('categoryId').errors?.required">
          {{'CATEGORY_IS_REQUIRED' | translate}}
        </div>
      </div>
    </div>

    <div class="col-sm-12">
      <div class="form-group col-12 col-md-6 px-0">
        <label>{{'DESCRIPTION' | translate}}</label>
        <angular-editor formControlName="description" [config]="editorConfig"></angular-editor>
      </div>
    </div>
    <div class="col-md-12">
      <div class="form-group col-12 col-md-6 px-0">
        <label>{{'DOCUMENT_UPLOAD' | translate}} <span class="small">(Format '.pdf')</span></label>
        <input class="form-control" #file (change)="upload(file.files)" type="file">
        <div class="small"><i>*{{'DOCUMENT_IS_REQUIRED' | translate}}</i></div>
        <div class="small"><i>*{{'DOCUMENT_MAX_FILE_SIZE' | translate}}</i></div>
        <div
          *ngIf="(documentForm.get('url').touched || documentForm.get('url').dirty) && documentForm.get('url').errors">
          <div class="text-danger small" *ngIf="documentForm.get('url').errors?.required">
            {{'DOCUMENT_IS_REQUIRED' | translate}}
          </div>
        </div>
        <div
          *ngIf="(documentForm.get('extension').touched || documentForm.get('extension').dirty) && (documentForm.get('url').errors || documentForm.get('extension').errors)">
          <div class="text-danger small" *ngIf="documentForm.get('extension').errors?.required">
            {{'DOCUMENT_TYPE_IS_NOT_ALLOW' | translate}}
          </div>
        </div>
      </div>
    </div>

    <div class="col-sm-6">
      <div class="" formArrayName="documentMetaTags"
        *ngFor="let documentmetatag of documentMetaTagsArray.controls; let i=index">
        <ng-container [formGroupName]="i">
          <label  *ngIf="i==0"> {{'ANALYST_NAME' | translate}} </label>
          <div class="form-row">
            <div class="form-group col-md mb-1 col">
              <mat-select placeholder="{{'ANALYST_NAME' | translate}}" formControlName="metatag" (selectionChange)="onMetatagChange($event,i)" class="form-control">
                <mat-option *ngFor="let analyst of allAnalyst" [value]="analyst.name">{{analyst.name}}</mat-option>
              </mat-select>
            </div>
            <div class="form-group col-md-auto col-auto mb-1">
              <button *ngIf="i==0" (click)="onAddAnotherMetaTag()" class="btn btn-outline-success" type="button"> <i
                  class="las la-plus"></i></button>
              <button *ngIf="i!=0" (click)="onDeleteMetaTag(i)" class="btn btn-outline-danger" type="button"><i
                  class="las la-trash-alt"></i></button>
            </div>
          </div>
        </ng-container>
      </div>
      <div *ngIf="!isAnalystValid">
        <div class="text-danger small">
          {{'ANALYST_NAME_REQUIRED' | translate}}
        </div>
      </div>
    </div>

    <div class="col-sm-12">
      <div class="form-group col-12 col-md-3 mx-0 mt-2 mb-2 px-0">
        <label>{{'CREATED_DATE' | translate}}</label>
        <mat-form-field appearance="outline" class="w-100 p-0 m-0 cust-created-date">
            <input #ref matInput [matDatepicker]="picker" class="form-control h-100" formControlName="createdDate">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
      </div>
      <div *ngIf="documentForm.get('createdDate').touched && documentForm.get('createdDate').errors">
        <div class="text-danger small" *ngIf="documentForm.get('createdDate').errors?.required">
          {{'CREATED_DATE_REQUIRED' | translate}}
        </div>
      </div>
    </div>


    <div class="col-md-12 mt-3">
      <mat-progress-bar *ngIf="showProgress" mode="determinate" [value]="progress"></mat-progress-bar>
    </div>
    <div class="m-top-10 col-md-12">
      <button *hasClaim="'all_documents_create_document'" [disabled]="!isFileUpload"
        class="btn btn-success btn-sm m-right-10" (click)="SaveDocument()" cdkFocusInitial><i class="las la-save"></i>
        {{'SAVE' | translate}}</button>
      <button type="button" class="btn btn-danger btn-sm" [routerLink]="[router.url.replace('/add', '')]"><i
          class="las la-times-circle"></i> {{'CANCEL' | translate}}</button>
    </div>
  </div>
</form>
